Bug 231288 - cad/sumo: update 10.x build depend on clang to llvm60
Summary: cad/sumo: update 10.x build depend on clang to llvm60
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks: 231286
  Show dependency treegraph
 
Reported: 2018-09-10 17:44 UTC by Brooks Davis
Modified: 2018-09-25 22:07 UTC (History)
0 users

See Also:


Attachments
Update llvm dependency (561 bytes, patch)
2018-09-10 17:44 UTC, Brooks Davis
brooks: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2018-09-10 17:44:32 UTC
Created attachment 197010 [details]
Update llvm dependency

llvm60 is increasingly the default version.  The attached patch switching the version of clang used on 10.x systems to clang60.  This works for me in poudriere on 10.4 amd64.
Comment 1 Bugzilla Automation freebsd_committer 2018-09-10 17:44:32 UTC
Maintainer informed via mail
Comment 2 commit-hook freebsd_committer 2018-09-25 22:06:26 UTC
A commit references this bug:

Author: brooks
Date: Tue Sep 25 22:05:46 UTC 2018
New revision: 480700
URL: https://svnweb.freebsd.org/changeset/ports/480700

Log:
  Update 10.x build depend on clang to llvm60.

  PR:		231288
  Approved by:	maintainer timeout (15 days)
  Sponsored by:	DARPA, AFRL

Changes:
  head/cad/sumo/Makefile